﻿#Support personnel should be able to create Exchange recipients in the Sales OU in AD
#Support personnel should not be able to create Exchange recipients in any other OU in AD
#Support personnel should not be able to remove recipients in the Sales OU, or any other OU in AD

New-ManagementRole -Name "Sales Recipient Creation" -Parent "Mail Recipient Creation"

Get-ManagementRoleEntry "Sales Recipient Creation\*" | 
  Where-Object {$_.name -like "remove-*"} | 
    Remove-ManagementRoleEntry -Confirm:$false

New-ManagementScope -Name SalesScope `
-RecipientRoot contoso.com/Sales `
-RecipientRestrictionFilter {
  (RecipientType -eq "UserMailbox") -or 
  (RecipientType -eq "MailUser") -or 
  (RecipientType -eq "MailContact")
}

New-RoleGroup -Name Support `
-Roles "Sales Recipient Creation" `
-CustomRecipientWriteScope SalesScope `
-Members bjacobs,dgreen,jgordon